// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface CashBlotterUpdateResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  int getUpdateTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType();

  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto> 
      getTradesList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.TradeDto getTrades(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  int getTradesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder> 
      getTradesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder getTradesOrBuilder(
      int index);
}
